Subject: Re: [PATCH] can: softing: remove redundant NULL check

From: Simon Horman <[email-masked]>
Date: Mon, 19 Feb 2024 17:00:38 +0000

On Fri, Feb 16, 2024 at 08:47:43PM +0100, Oliver Hartkopp wrote:
> Hi Simon,
> 
> I have a general question on the "Fixes:" tag in this patch:
> 
> On 16.02.24 18:27, Simon Horman wrote:
> > On Sun, Feb 11, 2024 at 07:05:35AM -0800, Daniil Dulov wrote:
> > > In this case dev cannot be NULL, so remove redundant check.
> > > 
> > > Found by Linux Verification Center (linuxtesting.org) with SVACE.
> > > 
> > > Fixes: 03fd3cf5a179 ("can: add driver for Softing card")
> 
> IMHO this is simply an improvement which is done by all patches applied to
> the kernel but it does not really "fix" anything from a functional
> standpoint.
> 
> Shouldn't we either invent a new tag or better leave it out to not confuse
> the stable maintainers?

Hi Oliver,

sorry for missing that in my review.

Yes, I agree that this is probably not a fix, for which my
rule of thumb is something that addresses a user-visible problem.
So I agree it should not have a fixes tag.

I would suggest that we can just change the text to something that
has no tag. Something like:

...

Introduced by 03fd3cf5a179 ("can: add driver for Softing card")

Signed-of-by: ...

> 
> Best regards,
> Oliver
> 
> > > Signed-off-by: Daniil Dulov <[email-masked]>
> > 
> > Hi Daniil,
> > 
> > I am not sure that dev cannot be NULL.
> > But I do see that the code assumes it is not, and would crash if it is.
> > So I think that, functionally, your statement is correct.
> > 
> > 	priv = netdev_priv(dev);
> > 	card = priv->card;
> > 
> > Reviewed-by: Simon Horman <[email-masked]>
> > 
>